<?php
require_once(dirname(dirname(__FILE__))."/paineladm/funcoes.php");
$pathlocal = dirname(__FILE__);
//require_once(dirname($pathlocal)."/paineladm/classes/fpdf.class.php");
//require_once(dirname($pathlocal)."/paineladm/classes/sessao.class.php");
$sessao = new sessao();
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$inicio=$sessao->getVar('inicio');
$final=$sessao->getVar('final');
//$cliente=substr($sessao->getVar('cliente'),0,8);
$cliente=$sessao->getVar('cliente');
//SE O CLIENTE FOR TRISOLO ELE PEGA O MESMO FORMATO DO LASSUL E RESOLVE O ASSUNTO 
//if($cliente=='TRISOLO')$cliente='LASSUL';
//$cliente='LASSUL';
$nomeOperador=$sessao->getVar('nomeuser');
$amostraLong=$sessao->getVar('amostraLong');
//echo("amostralong= $amostraLong<br>");
$objetocalculo = new calculos(); //calcula todos valores finais
$objetocalculoRaioX = new calculosFichaVirtual(); //calcula todos valores finais
$pdf=new FPDF('P','mm','A4'); //parametos da pagina 
	 $pdf->open();//abre o fpdf
	 $pdf->AddPage();//adicionando a primera pafina 
	 
	 
	 $caminhoFinal="ImagensClientes/i".$idLabo.".JPG";
	 if(file_exists($caminhoFinal)==TRUE):
		 $pdf->Image($caminhoFinal,11,8,35,17,'JPG');
     else:
	 	$pdf->SetFont('Arial','',7);
        $pdf->setXY(10,3);
		$pdf->Cell(60,20,'Arquivo '.$caminhoFinal. utf8_decode(' não existe') ,1,1,'L'); 	 
	 endif;	 



			 //$pdf->AddPage();//adicionando a primera pafina
			 $pdf->SetFont('Arial','',12);
			 $pdf->SetDrawColor(10,10,10);
			 $maximoHAdobe=297;//isso para vertical
			 $maximoLAdobe=210;//isso para vertical
			 $maximoLAdobe=297;//isso para horizontal
			 $maximoHAdobe=210;//isso para horizontal
		     $margemEsquerdaExterna=10;
		     $margemEsquerda=10;
			 $margemDireita=$maximoLAdobe-6;
			 $larguraUtil=$maximoLAdobe-16;
			 $futer=$maximoHAdobe-10;
			 //$larguraUtil=$maximoLAdobe;
			 $cinza=220;
		     $fonte="Arial";
			 $nomeOperador=5;
			 $pdf->SetFillColor($cinza,$cinza,$cinza); 
			 $linha=0;
			 $posicaox1=10;
             $larg1=20;
             $larg2=20;
             $larg3=30;
             $larg4=50;
             $larg5=15;
             $larg6=10;
             $larg7=10;
             $larg8=10;
             $larg9=10;
             $larg10=10;
			 
for($registro=$inicio;$registro<=$final;$registro++):
//$amostraLong=$objetocalculo->AchaIdAmostraTendoRegistro($registro);					 

 			 $userTTAP = new amostras();
             $userTTAP->extras_select =  " WHERE fic_id=".$amostraLong; //esse ja funfa, errado mas funfa
			 $userTTAP->selecionaCampos($userTTAP);
			 $disparaCabecalho=1;
			 //echo("sssssssssql= $userTTAP->extras_select <br>");				 
             	 while ($resTTAP = $userTTAP->retornaDados()):
                 if($disparaCabecalho==1):
        			 $disparaCabecalho=0;
         
	
				     $disparaCabecalho=0;	
				 	 $maximoLAdobe=210;
					 $maximoHAdobe=297;
				     $margemEsquerda=10;
					 $margemDireita=$maximoLAdobe-6;
					 $larguraUtil=$maximoLAdobe-16;
					 $cinza=220;
					 $pdf->SetFillColor($cinza,$cinza,$cinza);
					 $grosso=0.7;
					 $medio=0.4;
					 $fino=0.3;
					 $extraFino=0.2;
					 //as cotas
					 $cota1=5;//inicio de tudo
					 $cota2=30;//final do cabecalho e inicio da amostra
				         $cota3=53;//pureza

				 	 $cota5=130;//inicio de germinacao
				         $cota6=0;
					 $cota7=157; //parte onde vao as caixinhas A,B,C,D,E,F.................
					 $cota8=260;
					 if($cliente=='DIMICRON'):
						$cotaFinal=235;  
					 else:
						$cotaFinal=275;  
					 endif;
					 //LINHAS DO CONTORNO
					 $pdf->SetLineWidth($grosso);
					 $pdf->Rect($margemEsquerda,$cota1,$margemDireita-10,$cotaFinal);
					 
					 $pdf->SetLineWidth($fino);
				     ####################################CABECALHO################################################
			         $vetorLaboratorio=$objetocalculo->dadoslaboratorio();
					 $vetorCapturaGeral=$objetocalculo->capturaGeralAmostra($amostraLong);
                     if($cliente=='DIMICRON CUIABA'):
                         $posicaoCab1=$margemEsquerda+50;
						 $caminhoFinal="ImagensClientes/i".$idLabo.".JPG";
			             //captura a especie e a id da especie
						 $vetorRaioX=$objetocalculoRaioX->capturaGeralRaioX($amostraLong);  
						 $codEspecie=$vetorRaioX[107];
						 //$pdf->Rect($margemEsquerda,3,50,25);//borda ao redor da figura
						 $pdf->Image($caminhoFinal,$margemEsquerda+1,6,35,17,'JPG');
				         $pdf->SetFont('Times','B',10);
						 //$cota1=3;
						 $pdf->setXY($posicaoCab1,$cota1);
						 $pdf->Cell(144,5,utf8_decode($vetorLaboratorio[0]),1,1,'C');//lab nome
				         $pdf->SetFont('Times','',10);
						 
						 $pdf->setXY($posicaoCab1,$cota1+5);
						 $pdf->Cell(144,4,utf8_decode('Título: Ficha de Peso de Mil Sementes'),1,1,'C');//lab nome
						 
						 $pdf->setXY($posicaoCab1,$cota1+9);
						 $pdf->Cell(38,4,utf8_decode('Válido a partir de:'),1,0,'C');//lab nome
						 $pdf->Cell(38,4,utf8_decode('Código:'),1,0,'C');//lab nome
						 $pdf->Cell(38,4,utf8_decode('Revisões:'),1,0,'C');//lab nome
						 
						 $pdf->setXY($posicaoCab1,$cota1+13);
						 $pdf->Cell(38,4,utf8_decode('03/06/2019'),1,0,'C');//lab nome
						 $pdf->Cell(38,4,utf8_decode('FO 7.2.7'),1,0,'C');//lab nome
						 $pdf->Cell(38,4,utf8_decode('00'),1,0,'C');//lab nome
						 $pdf->setXY($posicaoCab1+114,$cota1+9);
						 $pdf->Cell(30,8,utf8_decode('Página 1 de 1'),1,0,'C');//lab nome
						 $pdf->setXY($posicaoCab1,$cota1+17);
						 //$pdf->Cell(144,4,utf8_decode('Elaborado por: Aline da Consolação Sampaio Clemente'),1,0,'L');//lab nome
						 $pdf->Cell(144,4,utf8_decode(''),1,0,'L');//lab nome
						 $pdf->setXY($posicaoCab1,$cota1+21);
						 //$pdf->Cell(144,4,utf8_decode('Aprovado por: Paul Bergmann'),1,0,'L');//lab nome
						 $pdf->Cell(144,4,utf8_decode(''),1,0,'L');//lab nome

                     elseif(substr($cliente,0,8)=='DIMICRON' and substr($cliente,0,12)!='DIMICRON CUI'   ):
                         $posicaoCab1=$margemEsquerda+50;
						 $caminhoFinal="ImagensClientes/i".$idLabo.".JPG";
			             //captura a especie e a id da especie
						 $vetorRaioX=$objetocalculoRaioX->capturaGeralRaioX($amostraLong);        			     $codEspecie=$vetorRaioX[107];
						 //$pdf->Rect($margemEsquerda,3,50,25);//borda ao redor da figura
						 $pdf->Image($caminhoFinal,$margemEsquerda+1,6,35,17,'JPG');
				         $pdf->SetFont('Times','B',10);
						 //$cota1=3;
						 $pdf->setXY($posicaoCab1,$cota1);
						 $pdf->Cell(144,5,utf8_decode($vetorLaboratorio[0]),1,1,'C');//lab nome
				         $pdf->SetFont('Times','',10);
						 
						 $pdf->setXY($posicaoCab1,$cota1+5);
						 $pdf->Cell(144,4,utf8_decode('Título: Ficha de Peso de Mil Sementes'),1,1,'C');//lab nome
						 
						 $pdf->setXY($posicaoCab1,$cota1+9);
						 $pdf->Cell(38,4,utf8_decode('Data:'),1,0,'C');//lab nome
						 $pdf->Cell(38,4,utf8_decode('Código:'),1,0,'C');//lab nome
						 $pdf->Cell(38,4,utf8_decode('Versão:'),1,0,'C');//lab nome
						 
						 $pdf->setXY($posicaoCab1,$cota1+13);
						 $pdf->Cell(38,4,utf8_decode('01/06/2021'),1,0,'C');//lab nome
						 $pdf->Cell(38,4,utf8_decode('FO 7.2.7'),1,0,'C');//lab nome
						 $pdf->Cell(38,4,utf8_decode('05'),1,0,'C');//lab nome
						 $pdf->setXY($posicaoCab1+114,$cota1+9);
						 $pdf->Cell(30,8,utf8_decode('Página 1 de 1'),1,0,'C');//lab nome
						 $pdf->setXY($posicaoCab1,$cota1+17);
						 //$pdf->Cell(144,4,utf8_decode('Elaborado por: Aline da Consolação Sampaio Clemente'),1,0,'L');//lab nome
						 $pdf->Cell(144,4,utf8_decode(''),1,0,'L');//lab nome
						 $pdf->setXY($posicaoCab1,$cota1+21);
						 //$pdf->Cell(144,4,utf8_decode('Aprovado por: Paul Bergmann'),1,0,'L');//lab nome
						 $pdf->Cell(144,4,utf8_decode(''),1,0,'L');//lab nome
					 else:  //SE NAO FOR CUIBA NEM CRUZ ALTA
	                     $largo1=130;//era 114
						 $largo2=36; //era41
						 $largo3=33; //era 33
	                     $posicaoCab1=$margemEsquerda+$largo1;
						 $posicaoCab2=$posicaoCab1+$largo2;
						 $pdf->SetFont('Arial','B',8);
						 
						 $pdf->Line($posicaoCab1,$cota1,$posicaoCab1,$cota2);	
						 $pdf->Line($posicaoCab2,$cota1,$posicaoCab2,$cota2);
						 //linha vertical a direita do timbre
						 $pdf->SetFont('Arial','',7);
						 
						 $cota1=5;
						 //dados do laboratorio/parte da esquerda
						 $pdf->setXY($margemEsquerda+30,$cota1); 
						 $pdf->Cell($largo1,5,utf8_decode($vetorLaboratorio[0]),0,1,'L');


						 $pdf->setXY($margemEsquerda+30,$cota1+5); 
						 $pdf->Cell($largo1,5,utf8_decode($vetorLaboratorio[1]),0,1,'L');

						 $pdf->setXY($margemEsquerda+30,$cota1+10); 
						 $pdf->Cell($largo1,5,utf8_decode($vetorLaboratorio[2]),0,1,'L');

						 $pdf->setXY($margemEsquerda+30,$cota1+15); 
						 $pdf->Cell($largo1,5,utf8_decode($vetorLaboratorio[3]),0,1,'L');

						 $pdf->setXY($margemEsquerda+30,$cota1+20); 
						 $pdf->Cell($largo1,5,utf8_decode($vetorLaboratorio[4]),0,1,'L');

	                     //parte central do cabeçalho  
						 $pdf->SetFont('Arial','B',12);

						 $pdf->setXY($posicaoCab1,$cota1);
						 $pdf->Cell($largo2,5,utf8_decode('FICHA DE PMS'),0,1,'L');

						 $pdf->SetFont('Arial','',8);

						 $pdf->setXY($posicaoCab1,$cota1+5);
						 $pdf->Cell($largo2,5,utf8_decode('AMOSTRA Nº:').$vetorCapturaGeral[1].'/'.substr($vetorCapturaGeral[36],0,4),0,1,'L');//lab nome
						 $pdf->setXY($posicaoCab1,$cota1+8);
						 if($cliente=='TRISOLO'):
							 $pdf->Cell($largo2,5,"   " ,0,1,'L');//lab nome
							 $pdf->setXY($posicaoCab1,$cota1+15);
							 $pdf->Cell($largo2,5,"   ",0,1,'L');//
						 else:
							 $pdf->Cell($largo2,5,utf8_decode('BAS Nº:'),0,1,'L');//lab nome
							 $pdf->setXY($posicaoCab1,$cota1+15);
							 $pdf->Cell($largo2,5,utf8_decode('INFORMAÇÃO Nº:'),0,1,'L');//
							 $pdf->setXY($posicaoCab1,$cota1+20);
						     $pdf->SetFont('Arial','B',6);
						     $pdf->Cell($largo2,5,'Data:__________   Rubrica:    ',0,1,'L'); 
                         endif;
	

	                     //parte da direita do cabecalho 
						 $pdf->SetFont('Arial','',8);
						 $pdf->setXY($posicaoCab2,$cota1);

		
						 $pdf->SetFont('Arial','',8);

				        $vetorNormas=$objetocalculo->capturaNormas("Ficha","ADV",$idLabo);
						$posicaoNorma=$margemEsquerda+$largo1+$largo2;
						$largo2=33;
	
						if(substr($cliente,0,3)=='ADV'):
							//$pdf->Rect($posicaoNorma,5,40,15);
							$pdf->setXY($posicaoNorma,10);  $pdf->Cell(40,4,utf8_decode("Formulário: RQ.10"),0,0);
							$pdf->setXY($posicaoNorma,14);  $pdf->Cell(40,4,utf8_decode("Emissão: 25/09/2021"),0,0);
							$pdf->setXY($posicaoNorma,18);  $pdf->Cell(40,4,utf8_decode("Versão: 04"),0,0);
	                    elseif(substr($cliente,0,5)=='TS LA'):
								//$pdf->Rect($posicaoNorma,5,40,15);
								$pdf->setXY($posicaoNorma,10);  $pdf->Cell(30,4,utf8_decode("Formulário:".$vetorNormas[1]),0,0);
								$pdf->setXY($posicaoNorma,14);  $pdf->Cell(40,4,utf8_decode("Emissão:".$vetorNormas[2]),0,0);
								//$pdf->setXY($posicaoNorma,18);  $pdf->Cell(40,4,utf8_decode("Formulario:".$vetorNormas[3]),0,0);
						elseif($cliente=='TRISOLO'):
							//$pdf->Rect($posicaoNorma,5,40,15);
							$pdf->setXY($posicaoNorma,10);  $pdf->Cell(50,4,utf8_decode("Formulário: 7.2.6"),0,0);
							$pdf->setXY($posicaoNorma,14);  $pdf->Cell(40,4,utf8_decode("Emissão: 31/01/2023"),0,0);
							$pdf->setXY($posicaoNorma,18);  $pdf->Cell(40,4,utf8_decode("Versão: 01"),0,0);
                        else:



	                    
						endif;
						
						
						

                     endif;//VERIFICA O CLIENTE DIMICRON

				     ################IDENTIFICACAO DA AMOSTRA##################################################
				     $largo1=100;
					 $largo2=40;
					 $largo3=54;				   

					 $pdf->Line($margemEsquerda,$cota2,$margemDireita,$cota2);//
				    
					 //primeira linha 
					 $cota1+=25;       
					 $pdf->SetXY($margemEsquerda,$cota1);
				  	 $pdf->SetFont('Arial','B',9);
					 $pdf->Cell($largo1,5,utf8_decode('Espécie:'.$vetorCapturaGeral[32]).$cliente,0,0,'L'); 
					 $pdf->SetFont('Arial','I',9);
					 $pdf->Cell($largo2,5,utf8_decode($vetorCapturaGeral[30]),0,0,'L'); 

                     //segunda linha  					 
					 $pdf->SetXY($margemEsquerda,$cota1+5);
					 $pdf->SetFont('Arial','',7);
					 $pdf->Cell($largo1,4.5,utf8_decode('Cultivar:'.$vetorCapturaGeral[31]),0,0,'L');
					 $pdf->Cell($largo2,4.5,utf8_decode('Safra:'.$vetorCapturaGeral[34]),0,0,'L');
					 $pdf->Cell($largo3,4.5,utf8_decode('Categoria:'.$vetorCapturaGeral[33]),0,0,'L');
               
                     //terceira linha  
					 $pdf->SetXY($margemEsquerda,$cota1+9);
					 $guardaCotaBalanca=$cota1;
					 $pdf->Cell($largo1,4.5,utf8_decode('Lote:'.$vetorCapturaGeral[2]),0,0,'L');
					 //$representatividade=$vetorRaioX[46];
					 $representatividade=$vetorCapturaGeral[6];
					 //$pdf->Cell($largo2,4.5,utf8_decode('Represent:'.$vetorCapturaGeral[6]),0,0,'L');
					 if(substr($representatividade,0,3)=='-O-' || substr($representatividade,0,3)=='-0-')$representatividade='-0-';
					 //if(substr($representatividade,0,3)=='-O-'  &&  substr($representatividade,0,3)=='-0-')c=6;
					 $pdf->Cell($largo2,4.5,utf8_decode('Representatividade:'.$representatividade),0,0,'L');
					 
					 $pdf->Cell($largo3,4.5,utf8_decode('Balança:'.$vetorCapturaGeral[79]).'  Peso amostra:'.$vetorCapturaGeral[65],0,0,'L');
					 //quarta linha
					 $pdf->SetXY($margemEsquerda,$cota1+13);
					
					 $pdf->Cell($largo1,4.5,'Recebida em:'.date("d/m/Y",strtotime($vetorCapturaGeral[36])),0,0,'L');
					 $pdf->Cell($largo2,4.5,utf8_decode('Peneira:'.$vetorCapturaGeral[35]),0,0,'L');
					 $tratamentoCampo=strtoupper($vetorCapturaGeral[66] ?? "");
                   	 if($tratamentoCampo=='-O-' || $tratamentoCampo=='-0-'):                   	     $tratamentoCampo='Não tratada';				 
					 else:
					     $tratamentoCampo=$vetorCapturaGeral[66];
					 endif;
					 $pdf->Cell($largo3,4.5,utf8_decode('Tratada:'.$tratamentoCampo),0,0,'L');
                     //quinta linha
					 $pdf->SetXY($margemEsquerda,$cota1+17);
					 $pdf->Cell($largo1,4.5,utf8_decode('Remetente:'.$vetorCapturaGeral[42]),0,0,'L');
					 $pdf->Cell($largo2+20,4.5,utf8_decode('Procedência:'.$vetorCapturaGeral[58]),0,0,'L');
					 $pdf->Cell($largo3-20,4.5,utf8_decode('Data/Ident:'.$vetorCapturaGeral[107]),0,0,'L');
                     //sexta linha
					 $pdf->SetXY($margemEsquerda,$cota1+21);
					 $pdf->Cell(70,4.5,utf8_decode('Registrador:'.$vetorCapturaGeral[80]),0,0,'L');
					 $pdf->Cell(110,4.5,utf8_decode('Testes a realizar:'.$vetorCapturaGeral[44]),0,0,'L');
					 $pdf->Line($margemEsquerda,$cota1+25,$margemDireita,$cota1+25);
                     //setimaa linha
					 $pdf->SetXY($margemEsquerda,$cota1+26);
					 $pdf->SetFont('Arial','B',12);
					 $pdf->Cell(70,5,utf8_decode('AMOSTRA Nº:').$vetorCapturaGeral[1].'/'.substr($vetorCapturaGeral[36],0,4),0,0,'L');
					 $pdf->SetFont('Arial','',7); 
					 $cota1+=35;	
                     //grade da esquerda
			 		 //acha o valor de rean 1 de qualquer maneira
			        $user = new rean1();
					$user->extras_select =" where  rea_teste='PMS' AND rea_ficha=".$amostraLong ;
			        $user->selecionaTudo($user);
			        $contador=0;
					$limite=16;
					while ($res = $user->retornaDados()):
					    $contador++;
					    $vetor[1]=$res->rea_lei4;
					    $vetor[2]=$res->rea_v2;
					    $vetor[3]=$res->rea_v3;
					    $vetor[4]=$res->rea_v4;
					    $vetor[5]=$res->rea_v5;
					    $vetor[6]=$res->rea_lei1;
					    $vetor[7]=$res->rea_lei2;
					    $vetor[8]=$res->rea_lei3;
					    $vetor[9]=$res->rea_campo20a;
					    $vetor[10]=$res->rea_validade;
					    $vetor[11]=$res->rea_campo60b;
					    $vetor[12]=$res->rea_campo60c;
					    $vetor[13]=$res->rea_campo20b;
					    $vetor[14]=$res->rea_campo100;
					    $vetor[15]=$res->rea_datainicio;
					    $vetor[16]=$res->rea_duracao;
						$balancaPesagens=$res->rea_primeira_leitura_data;
						$reanLong=$res->rea_id;
						$reaOperador=$res->rea_operador;
						$dataBrasil=date("d/m/Y",strtotime($res->rea_datageralteste));
					endwhile;
					if($vetor[9]<0.1)$limite=8;
					
					
					
                    //imprime a balanca para adv
					// $pdf->SetXY(150,$guardaCotaBalanca+9);
					// $pdf->Cell($largo3,4.5,utf8_decode('Balança:'.$balanca).'  Peso amostra:'.$vetorCapturaGeral[65],0,0,'L');
					 
                                         					 
					 
					 $pdf->SetXY($margemEsquerda,$cota1);
					 $larg1=15;			 
					 $larg2=30;			 
					 $larg3=20;			 

					 $pdf->Cell($larg1,4.5,utf8_decode('Repetição'),1,0,'L');
					 $pdf->Cell($larg2,4.5,utf8_decode('Peso de 100 sementes'),1,0,'L');
                     if($limite==16):
					    $pdf->Cell($larg2,4.5,utf8_decode('Peso de 100 sementes'),1,0,'L');
					 endif;

					 if($cliente!='LASSUL' && $cliente!='UNIJUI'):
					     $pdf->Cell($larg3,4.5,utf8_decode('Peso ²'),1,0,'L');
				     endif;		 
					 $cotaLocal=$cota1+4.5;
					 $soma1=0;	
					 $soma2=0;	

                     $guardaCotaLocal=$cotaLocal;
					 $posicaoColunaPesos1=$margemEsquerda+$larg1;
					 $posicaoColunaPesos2=$margemEsquerda+$larg1;
                     for($i=1;$i<=8;$i++)://aqui sempre vai ser 8 pois so tera 8 linhas
                         $cotaLocal+=4.5.
                         $pdf->SetXY($margemEsquerda,$cotaLocal);
					     $pdf->Cell($larg1,4.5,$i,1,0,'L');
					     $pdf->Cell($larg2,4.5,$vetor[$i],1,0,'L');
					     if($limite==16)$pdf->Cell($larg2,4.5,$vetor[$i+8],1,0,'L');
                         $soma1+=$vetor[$i];
                         $soma2+=$vetor[$i+8];
						 if($cliente!='LASSUL' && $cliente!='UNIJUI'):
						      //$pdf->Cell($larg3,4.5,pow($vetor[$i],2),1,0,'L');
						 endif;	  
                         //$somaPow2+=pow($vetor[$i],2);
					 endfor;					 
                     //imprime a soma
                     $cotaLocal+=4.5.
                     $pdf->SetXY($margemEsquerda,$cotaLocal);
				     $pdf->Cell($larg1,4.5,"Soma:",1,0,'L');
				     $pdf->Cell($larg2,4.5,$soma1,1,0,'L');
				     if($limite==16)$pdf->Cell($larg2,4.5,$soma2,1,0,'L');
				     //if($cliente!='LASSUL' && $cliente!='UNIJUI') $pdf->Cell($larg3,4.5,$soma2,1,0,'L');
                     //grade da direita, com resultados
					//$limite=8;
					//$limite=16;
					//soma os quadrados
					$Ex2 = 0;
					for($i=1;$i<=$limite;$i++)
					{
					   $Ex2 = $Ex2 + $vetor[$i]*$vetor[$i];
					}
					//echo $Ex2;
					//quadrado da soma

					$soma = 0;
					for($i=1;$i<=$limite;$i++)
					{
					   $soma+= $vetor[$i];
					}
					$somaQuadrada =pow($soma,2);
					//MEDIA
					$media = $soma / $limite;
					//variancia
					$divisor=$limite * ($limite-1);
					$variancia = ($limite * $Ex2 - $somaQuadrada) / $divisor;
					$variancia=number_format($variancia,6,'.','');
					//'MsgBox "ex2=" & Ex2 & "  vari " & Vari & "  soma " & SOMA & "  soma2 " & Soma2
					//echo("variancia $variancia somaquadarada= $somaQuadrada<br>");
					//desvio
					$desvio = sqrt($variancia);
					if($media>0)$coeficiente = $desvio * 100 / $media;
		            $coeficiente=number_format($coeficiente,3,'.','');

					$resultadoFinal=$media*10;
					$resultadoFinalPAT=$resultadoFinal*2.5;
					//passa para matriz valor 
                     $matrizValor[1]=$media;'Média';
                     $matrizValor[2]=$variancia;//'Variância';
                     $matrizValor[3]=$desvio;//'Desvio Padrão';
                     $matrizValor[4]=$coeficiente;'Coeficiente de variação';
                     $matrizValor[5]=$resultadoFinal;    //'PMS';
					 $matrizValor[6]=$balancaPesagens;
                     //fiz isso aqui especial para adv no dia 13/04/2020
					 	$vetorRaioX=$objetocalculoRaioX->capturaGeralRaioX($amostraLong);  
					    $resultadoFinal=$vetorRaioX[13];
						//$resultadoFinal=$amostraLong;
                        $matrizValor[5]=$resultadoFinal;    //'PMS'; SALVA  REALMENTE O QUE ESTA ARMAZENADO E QUE VAI PARA O BOLETIMMMMMM
					 
					 
					 
					 

					 $pdf->SetXY($margemEsquerda+100,$cota1);
					 $larg1=40;			 
					 $larg2=30;			 
					 $pdf->Cell($larg1,4.5,utf8_decode('Item'),1,0,'L');
					 $pdf->Cell($larg2,4.5,utf8_decode('Valor'),1,0,'L');
					 $cotaLocal=$cota1+4.5;	
                     $matrizLegendas[1]='Média';
                     $matrizLegendas[2]='Variância';
                     $matrizLegendas[3]='Desvio Padrão';
                     $matrizLegendas[4]='Coeficiente de variação';
                     $matrizLegendas[5]='PMS';
                     $matrizLegendas[6]='Balança utilzada, nas pesagens';//solicitacao da adv
                     $matrizLegendas[7]='-O-';
                     $matrizLegendas[8]='-O-';

                     for($i=1;$i<=8;$i++)://aqui sempre será 8 indiferente se for 16 repeticoes
                         $cotaLocal+=4.5.
                         $pdf->SetXY($margemEsquerda+100,$cotaLocal);
					     $pdf->Cell($larg1,4.5,utf8_decode($matrizLegendas[$i]),1,0,'L');
						 if($i>6)$matrizValor[$i]="-O-";//joga -o- nos ultimos 3 valores...
					     $pdf->Cell($larg2,4.5,$matrizValor[$i],1,0,'L');
					 endfor;					 






                     //aqui de determinacoes adiconai para baixo
					 if($cliente=='DIMICRON CUIABA'  || $cliente=='DIMICRON CRUZ ALTA'):
						$cota1=220;
					 else:
						$cota1=260;
					 endif; 

                     $pdf->Rect($margemEsquerda,$cota1,$margemDireita-10,10); 
				     $pdf->setXY($margemEsquerda,$cota1);
                     $pdf->Rect($margemEsquerda,$cota1,$margemDireita-10,10); 
				     $pdf->setXY($margemEsquerda,$cota1);
					 $pdf->SetFont('Arial','',8);
					 $pdf->cell(20,4,utf8_decode('Observações:'),0,0,'L');
					 $pdf->cell(40,4,utf8_decode($vetorCapturaGeral[37]),0,0,'L');
					 $pdf->setXY($margemEsquerda,$cota1+7);
					 $pdf->SetFont('Arial','B',6);
					 $pdf->cell(150,3,utf8_decode('Data/Rubrica:'.$vetorRaioX[117].$vetorRaioX[214]),0,1,'R');
					 
					 //analista rt etc
					 $cota1+=12;
					 $pdf->setXY($margemEsquerda,$cota1);
					 $pdf->SetFont('Arial','B',7);
					 $pdf->cell(25,4,utf8_decode('Analista:'.$vetorRaioX[117]),0,0,'L');
					 $pdf->cell(50,4,utf8_decode('Data:'.$vetorRaioX[214]),0,0,'R');
					 $pdf->cell(50,4,utf8_decode('RT:'),0,0,'R');
					 
					 //se for dimicron ai vai colocar uma caixa para aquela parte do rodape do controle de quailidade
					 if($cliente=='DIMICRON CUIABA'):
						 $pdf->SetFont('Arial','',6);
					     $largura=32.3;
						 $cota1+=20;
						 $pdf->setXY($margemEsquerda,$cota1);
					     $pdf->cell($largura,4,utf8_decode('Arquivo'),1,0,'C');
					     $pdf->cell($largura,4,utf8_decode('Indexaçao'),1,0,'C');
					     $pdf->cell($largura,4,utf8_decode('Coleta'),1,0,'C');
					     $pdf->cell($largura,4,utf8_decode('Acesso'),1,0,'C');
					     $pdf->cell($largura,4,utf8_decode('Tempo de Retenção'),1,0,'C');
					     $pdf->cell($largura,4,utf8_decode('Disposição'),1,0,'C');
						 //imprime todos retangulos mais altos e campos em branco nas posicoes 1 e 4
						 $pdf->setXY($margemEsquerda,$cota1+4);
					     $pdf->cell($largura,8,utf8_decode(''),1,0,'C');
					     $pdf->cell($largura,8,utf8_decode('7.2.7'),1,0,'C');
					     $pdf->cell($largura,8,utf8_decode('Eletrônica'),1,0,'C');
					     $pdf->cell($largura,8,utf8_decode(''),1,0,'C');
					     $pdf->cell($largura,8,utf8_decode('5 anos'),1,0,'C');
					     $pdf->cell($largura,8,utf8_decode('Eliminar'),1,0,'C');

                         //imprime as posicaoes 1 e 4 um pouco acima 
						 $pdf->setXY($margemEsquerda,$cota1+3);
					     $pdf->cell($largura,8,utf8_decode('Ficha de peso de'),0,0,'C');
					     $pdf->cell($largura,8,utf8_decode(''),0,0,'C');
					     $pdf->cell($largura,8,utf8_decode(''),0,0,'C');
					     $pdf->cell($largura,8,utf8_decode('RT,GL,AN e ADD'),0,0,'C');
                         //imprime as posicaoes 1 e 4 um pouco abaixo 
						 $pdf->setXY($margemEsquerda,$cota1+6);
					     $pdf->cell($largura,8,utf8_decode('mil sementes'),0,0,'C');
					     $pdf->cell($largura,8,utf8_decode(''),0,0,'C');
					     $pdf->cell($largura,8,utf8_decode(''),0,0,'C');
					     $pdf->cell($largura,8,utf8_decode(''),0,0,'C');
					 endif;//testa se é dimicron para colocar o rodape 	 
					 
					 if($cliente=='DIMICRON CRUZ ALTA'):
						 $pdf->SetFont('Arial','',6);
					     $largura=32.3;
						 $cota1+=20;
						 $pdf->setXY($margemEsquerda,$cota1);
					     $pdf->cell($largura,4,utf8_decode('Arquivo'),1,0,'C');
					     $pdf->cell($largura,4,utf8_decode('Indexaçao'),1,0,'C');
					     $pdf->cell($largura,4,utf8_decode('Coleta'),1,0,'C');
					     $pdf->cell($largura,4,utf8_decode('Acesso'),1,0,'C');
					     $pdf->cell($largura,4,utf8_decode('Tempo de Retenção'),1,0,'C');
					     $pdf->cell($largura,4,utf8_decode('Disposição'),1,0,'C');
						 
						 //imprime todos retangulos mais altos e campos em branco nas posicoes 1 e 4
						 $pdf->setXY($margemEsquerda,$cota1+4);
					     $pdf->cell($largura,8,utf8_decode(''),1,0,'C');
					     $pdf->cell($largura,8,utf8_decode('7.2.7'),1,0,'C');
					     $pdf->cell($largura,8,utf8_decode('Eletrônica'),1,0,'C');
					     $pdf->cell($largura,8,utf8_decode(''),1,0,'C');
					     $pdf->cell($largura,8,utf8_decode('5 anos'),1,0,'C');
					     $pdf->cell($largura,8,utf8_decode('Eliminar'),1,0,'C');

                         //imprime as posicaoes 1 e 4 um pouco acima 
						 $pdf->setXY($margemEsquerda,$cota1+3);
					     $pdf->cell($largura,8,utf8_decode('Ficha de peso de'),0,0,'C');
					     $pdf->cell($largura,8,utf8_decode(''),0,0,'C');
					     $pdf->cell($largura,8,utf8_decode(''),0,0,'C');
					     $pdf->cell($largura,8,utf8_decode('RT,GL,AN e'),0,0,'C');
                         //imprime as posicaoes 1 e 4 um pouco abaixo 
						 $pdf->setXY($margemEsquerda,$cota1+6);
					     $pdf->cell($largura,8,utf8_decode('mil sementes'),0,0,'C');
					     $pdf->cell($largura,8,utf8_decode(''),0,0,'C');
					     $pdf->cell($largura,8,utf8_decode(''),0,0,'C');
					     $pdf->cell($largura,8,utf8_decode('AAD'),0,0,'C');


					 endif;//testa se é dimicron para colocar o rodape 	 


					 
				 endif;//disparador cabecalho

             endwhile; //este while abre a amostras atraves do campo amostraLong
			 endfor;//este endfor encerra a varredura da amostra inicial ate aa final  
		ob_clean(); // Quando usava essa classe o ob_clean() resolvia meu problema
$pdf->Output("arquivo.pdf","I");
		
?>
